Commit 4dbacfc2 authored by André Anjos's avatar André Anjos 💬

Python3; Argparse is not needed normally; Include test scripts with package

parent 0cfecd5e
include README.rst bootstrap.py buildout.cfg
recursive-include docs *.rst
recursive-include gridtk *.sh
import setshell
import tools
import manager
import local
import sge
import easy
import tests
from . import setshell
from . import tools
from . import manager
from . import local
from . import sge
from . import easy
from . import tests
from setuptools import setup, find_packages
import sys
# If Python < 2.7 or 3.0 <= Python < 3.2, require some more stuff
ARGPARSE = []
if sys.version_info[:2] < (2, 7) or ((3,0) <= sys.version_info[:2] < (3,2)):
ARGPARSE.append('argparse')
setup(
name='gridtk',
version='1.0.0.a0',
......@@ -33,9 +40,7 @@ setup(
long_description=open('README.rst').read(),
install_requires=[
"argparse", #any version will do
],
install_requires=ARGPARSE,
classifiers = [
'Development Status :: 4 - Beta',
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment